Loading...
Searching...
No Matches
dolfin::XMLMeshFunction Class Reference

I/O of XML representation of MeshFunction. More...

`#include <XMLMeshFunction.h>`

## Static Public Member Functions

template<typename T>
static void | read (MeshFunction< T > &mesh_function, const std::string type, const pugi::xml_node xml_mesh)
| Read XML MeshFunction.
template<typename T>
static void | read (MeshValueCollection< T > &mesh_value_collection, const std::string type, const pugi::xml_node xml_mesh)
| Read XML MeshFunction as a MeshValueCollection.
template<typename T>
static void | write (const MeshFunction< T > &mesh_function, const std::string type, pugi::xml_node xml_node, bool write_mesh=true)
| Write the XML file.

## Detailed Description

I/O of XML representation of MeshFunction.

The documentation for this class was generated from the following file:

- /build/dolfin-lFBzDh/dolfin-2019.2.0~legacy20240219.1c52e83/dolfin/io/XMLMeshFunction.h